Bug 435728 - DIrection keys are lost when using non-standard mapping
DIrection keys are lost when using non-standard mapping
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 11:09 EST by Liam Dennehy
Modified: 2013-03-05 22:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liam Dennehy 2008-03-03 11:09:36 EST
Description of problem:
Direction (i.e. arrow keys) re not sent/understood by RDP server (WinXP, RDPv5
connection) when using en_gb mapping. Arrow key events are normal when no
mapping is specified.

Version-Release number of selected component (if applicable):
1.5.0-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Connect to remote Windows XP using RDPv5 and en_gb mapping
2. 
3.
  
Actual results:
No arrow key events are performed

Expected results:
Arrow keys events cause cursor to move.

Additional info:
Comment 1 Edward Rudd 2008-04-23 16:56:05 EDT
try using a keyboard mapping of en-gb instead of en_gb (note the - versus _). 
rdesktop is specific about the spelling of the keymap (which are loaded in
/usr/share/rdesktop/keymaps. and if it can't find the keymap, noted by the error.

  ERROR: Failed to open keymap en_gb

then it is not finding the keymap file..
Comment 2 Bug Zapper 2008-11-26 05:00:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:05:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.